%global momorel 1

Summary: A library implementing XML-based remote procedure calls
Name: xmlrpc-c
Version: 1.04
Release: %{momorel}m
License: BSD
Group: System Environment/Libraries
URL: http://xmlrpc-c.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tgz fc96628803ca72ebd86527039e4155df
Patch0: xmlrpc-c-1.04-libxml2.patch
Patch1: xmlrpc-c-1.04-namespace.patch
Patch2: xmlrpc-c-1.04-build_problem.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: w3c-libwww-devel >= 5.2.8, curl-devel, libxml2-devel

%description
XML-RPC is a lightweight RPC protocol based on XML and HTTP. This package
is used by XML-RPC clients and servers written in C and C++. 

%package devel
Summary: Libraries and header files for developing XML-RPC applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Static libraries and header files for writing XML-RPC applications in C and
C++.

%package apps
Summary:   Sample XML-RPC applications
Group:     Applications/Internet
Requires: %{name} = %{version}-%{release}

%description apps
Some handy XML-RPC demo applications based on the Meerkat Open Wire Service
(found at http://www.oreillynet.com/meerkat/). You can use 'query-meerkat' to
perform a regex search on recent news items, or 'meerkat-app-list' to get
a list of recent Linux software releases.

%prep
%setup -q
%patch0 -p1 -b .libxml2
%patch1 -p1 -b .namespace
%patch2 -p1 -b .build

## workaround bugs in the buildsystem
rm -f src/cpp/srcdir transport_config.h

## not needed...
rm doc/{INSTALL,configure_doc}

%build
autoreconf -fi
%configure --enable-libxml2-backend --disable-libwww-client
sed -i -e 's!-L/usr/%{_lib}\s\s*!!g;
           s!-L/usr/%{_lib}"!"!g;
           s!\(the_\S*rpath=\)\"..*\"!\1!g' xmlrpc-c-config
make

%install
%{__rm} -rf --preserve-root %{buildroot}
%make  DESTDIR="%{buildroot}" install

%{__install} -d -m0755 %{buildroot}%{_mandir}/man1

F=tools/xml-rpc-api2cpp/xml-rpc-api2cpp
./libtool --mode=install %{__install} -p -m755 $F %{buildroot}%{_bindir}/
%{__install} -p -m0644 $F.1 %{buildroot}%{_mandir}/man1/

for i in %{buildroot}%{_libdir}/*.a; do
    test ! -e "${i%%.a}.so" || rm -f $i
done


%clean
%{__rm} -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
if [ "$1" = 0 ]; then
    /sbin/ldconfig
fi

%files 
%defattr(-, root, root)
%doc doc/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/xmlrpc-c-config
%{_includedir}/Xml*.h
%{_includedir}/xmlrpc*.h
%{_includedir}/xmlrpc-c/*.h
%{_includedir}/xmlrpc-c/*.hpp
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a

%files apps
%defattr(-,root,root)
%doc tools/xmlrpc/xmlrpc.html
%doc tools/xmlrpc_transport/xmlrpc_transport.html
%{_mandir}/man1/*
%{_bindir}/xmlrpc
%{_bindir}/xmlrpc_transport
%{_bindir}/xml-rpc-api2cpp

%changelog
* Wed May 24 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.04-1m)
- update to  1.04

* Fri Apr 15 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.2-1m)
- initial import to Momonga
